# MouseEvent

class HPS.MouseEvent : HPS.InputEvent

  Public Types

  enum Action

    Values:

    ButtonUp
    ButtonDown
    Move
    Scroll
    Enter
    Leave

  Public Functions

  override string ClassName ()
  override HPS.Event Clone ()
  override void Dispose ()
  override bool Drop (HPS.Event in_that_event)
  override bool Equals (HPS.InputEvent in_that)
  bool Equals (HPS.MouseEvent in_that)
  override bool Equals (Object obj)
  override IntPtr Freshen ()
  override int GetHashCode ()
  MouseEvent ()
  MouseEvent (HPS.Event in_event)
  MouseEvent (HPS.MouseEvent in_that)
  MouseEvent (HPS.MouseEvent.Action in_action, float in_wheel_delta)
  MouseEvent (HPS.MouseEvent.Action in_action, float in_wheel_delta, HPS.WindowPoint in_location)
  MouseEvent (HPS.MouseEvent.Action in_action, float in_wheel_delta, HPS.WindowPoint in_location, HPS.ModifierKeys in_modifier)
  MouseEvent (HPS.MouseEvent.Action in_action, float in_wheel_delta, HPS.WindowPoint in_location, HPS.ModifierKeys in_modifier, ulong in_click_count)
  MouseEvent (HPS.MouseEvent.Action in_action, HPS.WindowPoint in_location)
  MouseEvent (HPS.MouseEvent.Action in_action, HPS.WindowPoint in_location, HPS.MouseButtons in_button)
  MouseEvent (HPS.MouseEvent.Action in_action, HPS.WindowPoint in_location, HPS.MouseButtons in_button, HPS.ModifierKeys in_modifier)
  MouseEvent (HPS.MouseEvent.Action in_action, HPS.WindowPoint in_location, HPS.MouseButtons in_button, HPS.ModifierKeys in_modifier, ulong in_click_count)

  Properties

  ulong ClickCount { get; set; }
  HPS.MouseEvent.Action CurrentAction { get; set; }
  HPS.MouseButtons CurrentButton { get; set; }
  HPS.WindowPoint Location { get; set; }
  float WheelDelta { get; set; }

  Public Static Functions

  bool operator!= (HPS.MouseEvent a, HPS.MouseEvent b)
  bool operator== (HPS.MouseEvent a, HPS.MouseEvent b)

Hello I'm HOOPSY!

HOOPSY BETA

Hello I am HOOPSY! your Docs generative AI assistant.

Ask me anything about HOOPS Visualize HPS or choose a sample question below to start a conversation:

Additional info

HOOPSY may store chats to provide and maintain the service according to OpenAI's data policy.

This feature is currently experimental. While we are continually enhancing its performance and quality, the underlying AI model may generate inaccurate or fabricated responses, especially if prompted to do so.

New Conversation
Continue generating